Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.filter
Class StationClassFilter.StationCategory

    java.lang.Object
      org.ka2ddo.yaac.filter.StationClassFilter.StationCategory

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  StationClassFilter

    public final class StationClassFilter.StationCategory

extends java.lang.Object
implements java.lang.Cloneable

Field Summary
`java.lang.String` | `tagName`

Constructor Summary
`protected` | `StationClassFilter.StationCategory(java.lang.String tagName, Symbols.Category... categories)`

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `inCategory(Symbols.Category testCategory)` Test if the specified category matches this category subfilter.
`boolean` | `isSelected()` Test whether this category set is enabled for viewing.
`void` | `setSelected(boolean selected)` Specify whether stations in this category set should be viewable.
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### tagName

    public final java.lang.String tagName

Constructor Detail

### StationClassFilter.StationCategory

    protected StationClassFilter.StationCategory(java.lang.String tagName,
                                                 Symbols.Category... categories)

Method Detail

### inCategory

    public final boolean inCategory(Symbols.Category testCategory)

  Test if the specified category matches this category subfilter.

  Parameters:
    `testCategory` - Category to compare
  Returns:
    boolean true if the category matches

### isSelected

    public final boolean isSelected()

  Test whether this category set is enabled for viewing.

  Returns:
    boolean true if stations in this category are acceptable

### setSelected

    public final void setSelected(boolean selected)

  Specify whether stations in this category set should be viewable.

  Parameters:
    `selected` - boolean true if this category should be viewable

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD